%define name clement
%define version 2.1
%define release %mkrel 0.133%{?dist}.4

Name: %name
Version: %version
Release:%release
Summary: An application to filter and manage E-mail traffic
Group: Networking/Mail
Source: http://www.clement.safe.ca/%{name}-%{version}.tar.bz2
License: GPL
URL: http://www.clement.safe.ca/index.html
buildroot: %{_tmppath}/%{name}-buildroot
BuildRequires: clamav-devel >= 0.87-1
BuildRequires: pam-devel openssl-devel
Requires: clamav >= 0.87-1
Requires: iptables
Requires(post): chkconfig, initscripts
Requires(preun): chkconfig, initscripts

%description
Clement is an email firewall. Its purpose is to filter all email, 
rejecting viruses and unwelcome messages at the SMTP protocol level 
(and avoids bouncing to forged originators).  Dubious emails are 
centrally quarantined.

Clement extracts "email sending contexts" and can use a remote mentor 
process to further analyze message context while still connected to the 
remote sender process.

%prep

%setup -q

%build
%make

%clean
%{__rm} -rf %{buildroot}

%install
#main install
%{__rm} -rf %{buildroot}
mkdir -p -m0755 %{buildroot}

#clement system level configuration and start
install -d %{buildroot}/%{_initrddir}
install -d %{buildroot}/%{_sysconfdir}/sysconfig
install -m0755 contrib/redhat/%{name}.init %{buildroot}/%{_initrddir}/%{name}
install -m0644 support/%{name}.sysconfig %{buildroot}/%{_sysconfdir}/sysconfig/%{name}

#preparing clement working directory
%{__make} install DESTDIR=%{buildroot}


#-----------------------------------------------------------
#This is the RPM first_install/upgrade/remove directive
#-----------------------------------------------------------
#before first_install or upgrade
#%pre

#after install or upgrade
%post
if [ "$1" = 1 ]; then
  /sbin/chkconfig --add %{name}
  fi
if [ "$1" = 2 ]; then
  if [ -f /var/lock/subsys/%{name} ] ; then
    %{_initrddir}/%{name} restart
    fi
  fi

#before upgrade or remove
%preun 
if [ "$1" = 0 ]; then
  if [ -f /var/lock/subsys/%{name} ] ; then
    %{_initrddir}/%{name} stop
    fi
  export APPNAME=%{name}
  %{_var}/lib/%{name}-%{version}/support/remove.sh \
	%{_var}/spool/%{name}-%{version}/*/* \
	%{_sysconfdir}/pki/%{name}-%{version}/%{name}.pem \
	%{_sysconfdir}/%{name}-%{version}/config.done
  /sbin/chkconfig --del %{name}
  fi

%files
%defattr(-,mail,mail,-)
%attr(0755,root,root) %{_initrddir}/%{name}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/yum.repos.d/%{name}.repo
%doc %{name}-%{version}-*.build_date
%doc doc/*.txt Changes FAQ LICENCE README
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{_sysconfdir}/%{name}-%{version}/*
#%attr(0775,mail,apache) %{_sysconfdir}/%{name}-%{version}/clement.conf
%config(noreplace) %{_sysconfdir}/pki/%{name}-%{version}/trusted.pem
%config(noreplace) %{_sysconfdir}/httpd/conf/%{name}.conf
%config(noreplace) %{_var}/www/%{name}-%{version}/clembase.php
%attr(0664,mail,-) %{_sysconfdir}/%{name}-%{version}/%{name}.conf
%{_sysconfdir}/cron.daily/%{name}
%{_bindir}/*
%{_var}/spool/%{name}-%{version}/
%{_var}/lib/%{name}-%{version}/
%{_var}/www/%{name}-%{version}/
%{_var}/lock/%{name}-%{version}/
%{_var}/crash/%{name}-%{version}/



%changelog
* Thu Sep 04 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1-0.133.4mdv2009.0
+ Revision: 280483
- rebuild against new clamav libs

* Sun Feb 17 2008 Michael Scherer <misc@mandriva.org> 2.1-0.133.3mdv2008.1
+ Revision: 169870
- add missing buildrequires
- rebuild for new clamav

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu May 24 2007 Lenny Cartier <lenny@mandriva.org> 2.1-0.133.2mdv2008.0
+ Revision: 30708
- Rebuild for dependencies


* Mon May 22 2006 Lenny Cartier <lenny@mandriva.com> 2.1-0.133.1mdk
- used the srpm from Jean-Marc Pigeon <jmp@safe.ca> 
- changelog is available at http://www.clement.safe.ca/changes.php

